Package wx :: Class PopupWindow

[frames | no frames]

## Type PopupWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        PopupWindow

Known Subclasses:
  `FoldOutWindow`, `PopupTransientWindow`, `ShadowPopupWindow`, `ToolTipWindow`

Proxy of C++ PopupWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
| `Position(self, ptOrigin, size)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, flags=BORDER_NONE)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Window.__init__` (inherited documentation)

### Create(self, parent, flags=BORDER_NONE)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Window.Create` (inherited documentation)

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:23 2009 | http://epydoc.sf.net